# OpenLayers.Symbolizer.Point

A symbolizer used to render point features.

Summary

OpenLayers.Symbolizer.Point | A symbolizer used to render point features.
Properties |
strokeColor | {String} Color for line stroke.
strokeOpacity | {Number} Stroke opacity (0-1).
strokeWidth | {Number} Pixel stroke width.
strokeLinecap | {String} Stroke cap type (“butt”, “round”, or “square”).
fillColor | {String} RGB hex fill color (e.g.
fillOpacity | {Number} Fill opacity (0-1).
pointRadius | {Number} Pixel point radius.
externalGraphic | {String} Url to an external graphic that will be used for rendering points.
graphicWidth | {Number} Pixel width for sizing an external graphic.
graphicHeight | {Number} Pixel height for sizing an external graphic.
graphicOpacity | {Number} Opacity (0-1) for an external graphic.
graphicXOffset | {Number} Pixel offset along the positive x axis for displacing an external graphic.
graphicYOffset | {Number} Pixel offset along the positive y axis for displacing an external graphic.
rotation | {Number} The rotation of a graphic in the clockwise direction about its center point (or any point off center as specified by graphicXOffset and graphicYOffset).
graphicName | {String} Named graphic to use when rendering points.
Constructor |
OpenLayers.Symbolizer.Point | Create a symbolizer for rendering points.

### Properties

### strokeColor

{String} Color for line stroke. This is a RGB hex value (e.g. “#ff0000” for red).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### strokeOpacity

{Number} Stroke opacity (0-1).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### strokeWidth

{Number} Pixel stroke width.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### strokeLinecap

{String} Stroke cap type (“butt”, “round”, or “square”).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### fillColor

{String} RGB hex fill color (e.g. “#ff0000” for red).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### fillOpacity

{Number} Fill opacity (0-1).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### pointRadius

{Number} Pixel point radius.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### externalGraphic

{String} Url to an external graphic that will be used for rendering points.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### graphicWidth

{Number} Pixel width for sizing an external graphic.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### graphicHeight

{Number} Pixel height for sizing an external graphic.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### graphicOpacity

{Number} Opacity (0-1) for an external graphic.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### graphicXOffset

{Number} Pixel offset along the positive x axis for displacing an external graphic.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### graphicYOffset

{Number} Pixel offset along the positive y axis for displacing an external graphic.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### rotation

{Number} The rotation of a graphic in the clockwise direction about its center point (or any point off center as specified by graphicXOffset and graphicYOffset).

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### graphicName

{String} Named graphic to use when rendering points. Supported values include “circle”, “square”, “star”, “x”, “cross”, and “triangle”.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### Constructor

### OpenLayers.Symbolizer.Point

Create a symbolizer for rendering points.

#### Parameters

config | {Object} An object containing properties to be set on the symbolizer. Any documented symbolizer property can be set at construction.

#### Returns

A new point symbolizer.

{Number} Pixel offset along the positive x axis for displacing an external graphic.
{Number} Pixel offset along the positive y axis for displacing an external graphic.
Close